> ## Documentation Index
> Fetch the complete documentation index at: https://docs.littledemo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Serve an uploaded custom background

The key may contain slashes and should be URL-encoded when used from clients.

` GET /api/v1/backgrounds/custom/{key} `

Serve an uploaded custom background

The key may contain slashes and should be URL-encoded when used from clients.

## Servers

- ` https://littledemo.com ` — Production

## Parameters

### ` key ` (path, required)

- ` value `: type ` string `

## Responses

### ` 200 ` — Background image

### ` 404 ` — Not found

Content type: ` application/json `

- ` value `: type ` object `

  - Required fields: ` error `

  - ` error `: type ` string `

## Request examples

### cURL

```curl
curl -X GET 'https://littledemo.com/api/v1/backgrounds/custom/string' \
  -H 'Authorization: Bearer YOUR_API_TOKEN'
```

### JavaScript

```javascript
const response = await fetch('https://littledemo.com/api/v1/backgrounds/custom/string', {
  method: 'GET',
  headers: {
      "Authorization": "Bearer YOUR_API_TOKEN"
  }
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

headers = {
    'Authorization': 'Bearer YOUR_API_TOKEN'
}

response = requests.get('https://littledemo.com/api/v1/backgrounds/custom/string', headers=headers)
print(response.json())
```